[ROO-3634] Update Selenium to support later versions of Firefox Created: 18/Jun/15  Updated: 22/Feb/16  Resolved: 22/Jun/15

Status: Resolved
Project: Spring Roo
Component/s: None
Affects Version/s: 1.3.1.RELEASE, 2.0.0.M1
Fix Version/s: 2.0.0.M2

Type: Improvement Priority: Minor
Reporter: Juan Carlos García del Canto Assignee: Juan Carlos García del Canto
Resolution: Complete Votes: 0
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified


 Description   

Update Selenium plugin version to support later versions of Firefox.

Selenium project was moved to gitHUB:

https://github.com/SeleniumHQ/selenium

Created issue on Selenium project, trying to decide the future of Selenium maven plugin on Spring Roo project:

https://github.com/SeleniumHQ/selenium/issues/686



 Comments   
Comment by Juan Carlos García del Canto [ 22/Jun/15 ]

Updated Selenium maven plugin with:

		<plugin>
			<groupId>org.codehaus.mojo</groupId>
			<artifactId>selenium-maven-plugin</artifactId>
			<version>2.3</version>
			<configuration>
				<browser>*firefox</browser>
				<suite>src/main/webapp/selenium/test-suite.xhtml</suite>
				<results>${project.build.directory}/selenium.html</results>
				<startURL>http://localhost:4444/</startURL>
			</configuration>
			<dependencies>
				<dependency>
					<groupId>org.seleniumhq.selenium</groupId>
					<artifactId>selenium-server</artifactId>
					<version>2.46.0</version>
				</dependency>
				<dependency>
					<groupId>org.seleniumhq.selenium</groupId>
					<artifactId>selenium-remote-driver</artifactId>
					<version>2.46.0</version>
				</dependency>
				<dependency>
					<groupId>org.seleniumhq.selenium</groupId>
					<artifactId>selenium-api</artifactId>
					<version>2.46.0</version>
				</dependency>
				<dependency>
					<groupId>org.seleniumhq.selenium.client-drivers</groupId>
					<artifactId>selenium-java-client-driver</artifactId>
					<version>1.0.2</version>
				</dependency>
				<dependency>
					<groupId>org.apache.commons</groupId>
					<artifactId>commons-exec</artifactId>
					<version>1.3</version>
				</dependency>
			</dependencies>
		</plugin>

Now it's possible to execute mvn selenium:selenese to run selenium tests on later versions of FF.

Generated at Mon Jul 15 22:42:51 UTC 2019 using JIRA 7.9.2#79002-sha1:3bb15b68ecd99a30eb364c4c1a393359bcad6278.